package com.sintecmedia.components.exceptions;

import javax.faces.context.FacesContext;

/**
 * General exception, thrown when error occurs in component.
 *    
 * @author Igor Grinfeld, RealCommerece
 *
 */
public interface ComponentException {
	/**
	 * 
	 * @return context from time when the exception occurs
	 */
	public FacesContext getContext();
	
	/**
	 * 
	 * @return name of method that throws this exception
	 */
	public String getMethodName();
	
	/**
	 * 
	 * @param ctx method that called this exception should send its context
	 */
	public void setContext( FacesContext ctx );
	
	/**
	 * 
	 * @param methodName method that called this exception should set its name
	 */
	public void setMethodName( String methodName );
}
